=== debian/changelog ===
xine-lib (1-rc4-1) unstable; urgency=low

  * New upstream release

 -- Siggi Langauf <siggi@debian.org>  Wed, 28 Apr 2004 20:28:02 +0200

xine-lib (1-rc3c-1) unstable; urgency=low

  * new upstream version
    - includes workaround for XV_HUE bug on NVidia cards (closes: #238433)
  * build-depends on libpng-dev for PNG support (closes: #240524)
  * build-depends on libfreetype6-dev for TTF support (closes: #242031)
  
 -- Siggi Langauf <siggi@debian.org>  Wed,  7 Apr 2004 23:58:08 +0200

xine-lib (1-rc3b-1) unstable; urgency=low

  * new upstream release
    - lots of bug fixes (see upstream ChangeLog), including:
    - allows devfs compatible DSP device names (closes: #193459)
    - Michel's segfault patch (closes: #22875)

 -- Siggi Langauf <siggi@debian.org>  Tue, 16 Mar 2004 22:43:36 +0100

xine-lib (1-rc3a-2) unstable; urgency=high

  * updated shlibs: 1-rc3(a) provides new OSD functions (will close: 225618)
  * fixed OSS plugin initialization code (closes: 225275)

 -- Siggi Langauf <siggi@debian.org>  Wed, 31 Dec 2003 15:41:17 +0100

xine-lib (1-rc3a-1) unstable; urgency=high

  * new upstream release
    * fixes ABI compatibility (closes: 224931)
  * audio demuxer group is loaded again (closes: 225158)

 -- Siggi Langauf <siggi@debian.org>  Sun, 28 Dec 2003 11:56:16 +0100

xine-lib (1-rc3-2) unstable; urgency=low

  * merged some updates from upstream CVS:
    * define SCSI_BLK_MAJOR macro for kernel 2.6 (closes: 224695)
    * fix endianness for arts audio (closes: 190356)

 -- Siggi Langauf <siggi@debian.org>  Tue, 23 Dec 2003 01:38:29 +0100

xine-lib (1-rc3-1) unstable; urgency=low

  * new upstream release
    * builds libxine with -fPIC on all architectures (closes: #217140)

 -- Siggi Langauf <siggi@debian.org>  Mon, 15 Dec 2003 11:49:25 +0100

xine-lib (1-rc2-1) unstable; urgency=low

  * new upstream release
    * handles "#" and "%" characters in filenames gracefully (closes: #206890)
    * includes enhanced VCD input plugin (closes: 130489)

 -- Siggi Langauf <siggi@debian.org>  Mon, 27 Oct 2003 17:10:28 +0100

xine-lib (1-rc1-1) unstable; urgency=high

  * new upstream release
    * doesn't link static libXv any more (closes: #210650)
    * ALSA driver doesn't block on busy device any more (closes: #211304)
  * suggesting libartsc0 (I have a bad feeling about this, closes: #203961)
  
 -- Siggi Langauf <siggi@debian.org>  Sun,  5 Oct 2003 11:28:06 +0200

xine-lib (1-rc0a-1) unstable; urgency=low

  * new upstream release
    * includes missing DXR3 support file (source only)
    * keeps xine from aborting on broken MPEG streams
  * added speex support

 -- Siggi Langauf <siggi@debian.org>  Sat,  2 Aug 2003 15:40:13 +0200

xine-lib (1-rc0-1) unstable; urgency=low

  * new upstream release
    * new versioning scheme should sort correctly (closes: #194063)
    * includes liba52 fix (closes: #196327)
    * resets decoder priorities if an old config file is found (closes: 193303)
  * libxine-dev depends on libfreetype6-dev (closes: #195738)
    
 -- Siggi Langauf <siggi@debian.org>  Fri,  1 Aug 2003 08:55:22 +0200

xine-lib (1-beta12-1) unstable; urgency=low


  * new upstream version
    * ALSA plugin opens audio device in non-blocking mode (closes: #177877)
    * (old?) QT DLL decoder fixes (closes: #179136)

 -- Siggi Langauf <siggi@debian.org>  Mon, 12 May 2003 18:59:34 +0200

xine-lib (1-beta11-0) unstable; urgency=low

  * New Upstream release

 -- Siggi Langauf <siggi@debian.org>  Sun, 27 Apr 2003 14:08:30 +0200

xine-lib (1-beta10-2) unstable; urgency=low

  * backported xine-lib configure check from upstream CVS

 -- Siggi Langauf <siggi@debian.org>  Wed, 16 Apr 2003 12:46:26 +0200

xine-lib (1-beta10-1) unstable; urgency=low

  * new upstream release
  * updated debhelper dependancy, avoid using --list-missing (closes: #187433)
  * changed libxine-dev section to new "libdevel"

 -- Siggi Langauf <siggi@debian.org>  Mon,  7 Apr 2003 19:31:03 +0200

xine-lib (1-beta9-1) unstable; urgency=low

  * New upstream release
  * correct demuxer should be used since 1-beta8 (closes: #180011)
  
 -- Siggi Langauf <siggi@debian.org>  Sun, 23 Mar 2003 21:15:42 +0100

xine-lib (1-beta8-1) unstable; urgency=low

  * Add pmhahn as Uploaders.
  * New upstream release.
  * Standards-Version 3.5.9:
    - debhelper 4
    - Use 'noopt' instead of 'debug'
    - Remove overrides for plugin shared libraries.
  * Provide non-developer documentation in library package.
  * Build with dxr3 support (closes: #117170)

 -- Philipp Matthias Hahn <pmhahn@debian.org>  Fri, 14 Mar 2003 10:03:16 +0100

xine-lib (1-beta6-1) unstable; urgency=low

  * new upstream release
  * updated artsc build dependancy (closes: #182137)
  * removed obsolete dh_testversion call

 -- Siggi Langauf <siggi@debian.org>  Sun, 23 Feb 2003 00:53:19 +0100

xine-lib (1-beta4-3) unstable; urgency=low

  * added version on FLAC dependancy (closes: #181399)
  * fixed Replaces: xine-dvdnav, so apt should do the transition smoothly
    (closes: #175790)
  * downgraded GNOME recommendation to suggestion (closes: #179523)
  
 -- Siggi Langauf <siggi@debian.org>  Wed, 19 Feb 2003 04:29:21 +0100

xine-lib (1-beta4-2) unstable; urgency=low

  * updated dependancies (closes: #179251):
    - added gnome-vfs input and FLAC support
    - made those dependancies "suggests:"
    - made sdl optional as well

 -- Siggi Langauf <siggi@debian.org>  Sun,  2 Feb 2003 22:09:02 +0100

xine-lib (1-beta4-1) unstable; urgency=low

  * new upstream release (fixes compilation on mmx capable ix86 machines)

 -- Siggi Langauf <siggi@debian.org>  Wed, 29 Jan 2003 19:37:15 +0100

xine-lib (1-beta3-1) unstable; urgency=low

  * new upstream release

 -- Siggi Langauf <siggi@debian.org>  Tue, 28 Jan 2003 21:41:05 +0100

xine-lib (1-beta2-4) unstable; urgency=low

  * removed HPPA compiler hacks (3.2 is now default, and it choked anyway...)
  * removed DXR3 support (closes: #175392, reopens: #117170)
  

