=== debian/control ===
Source: xine-lib
Section: libs
Priority: optional
Maintainer: Siggi Langauf <siggi@debian.org>
Uploaders: Philipp Matthias Hahn <pmhahn@debian.org>
Build-Depends: debhelper (>= 4.0.4), aalib1-dev (>= 1.4p5-2), xlibs-dev (>> 4.1), libesd0-dev, zlib1g-dev | libz-dev, libartsc0-dev (>>1.1.0), liblircclient-dev, libogg-dev, libvorbis-dev, libasound2-dev, libflac-dev (>>1.1.0), libgnomevfs2-dev, libspeex-dev, libpng-dev, libfreetype6-dev
Build-Conflicts: libdvdnav-dev
Standards-Version: 3.5.9

Package: libxine-dev
Architecture: any
Section: libdevel
Depends: libxine1 (= ${Source-Version}), libc6-dev, xlibs-dev, zlib1g-dev | libz-dev, slang1-dev, libfreetype6-dev
Conflicts: xine-ui (<< 0.9.10)
Description: the xine video player library, development packages
 This contains development files (headers, documentation and the like)
 for the xine library (libxine).
 .
 Libxine provides the complete infrastructure for a video/media player.
 It supports MPEG 1/2 and some AVI and Quicktime videos out of the box,
 so you can use it to play DVDs, (S)VCDs and most video files out there.
 It supports network streams, subtitles and even mp3 files. It's extensible
 to your heart's content via plugins for audio_out, video_out, input media,
 demuxers (stream types), audio/video and subtitle codecs.
 Building a GUI (or text based) frontend around this should be quite easy.
 The xine-ui package provides one for your convenience, so you can just
 start watching your VCDs ;-)

Package: libxine1
Architecture: any
Depends: ${shlibs:Depends}
Recommends: ${shlibs:Recommends}
Suggests: ${shlibs:Suggests}, libartsc0
Conflicts: sinek(<<0.7), xine-ui (<< 0.9.10)
Replaces: xine-dvdnav
Description: the xine video/media player library, binary files
 This is the xine media player library (libxine). 
 Libxine provides the complete infrastructure for a video/media player.
 It supports MPEG 1/2 and some AVI and Quicktime videos out of the box,
 so you can use it to play DVDs, (S)VCDs and most video files out there.
 It supports network streams, subtitles and even mp3 or ogg files.
 It's extensible to your heart's content via plugins for audio_out,
 video_out, input media, demuxers (stream types), audio/video and
 subtitle codecs.
 Building a GUI (or text based) frontend around this should be quite easy.
 The xine-ui package provides one for your convenience, so you can just
 start watching your VCDs ;-)
